%define major                  12

%define libname                %mklibname %{name} %{major}
%define develname              %mklibname %{name} -d
%define libname_primesievexx   %mklibname %{name}xx %{major_xx}
%define develname_primesievexx %mklibname %{name}xx -d
%define	develname_mp           %mklibname %{name}mp -d

Summary:	A fast C/C++ prime number generator
Name:		primesieve
Version:	12.4
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://github.com/kimwalisch/primesieve
Source0:	https://github.com/kimwalisch/primesieve/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake

%description
primesieve is a free software program and C/C++ library that generates primes
using a highly optimized sieve of Eratosthenes implementation. It counts the
primes below 10^10 in just 0.45 seconds on an Intel Core i7-6700 CPU (4 x
3.4GHz). primesieve can generate primes and prime k-tuplets up to 2^64.

%package -n	%{libname}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
primesieve is a free software program and C/C++ library that generates primes
using a highly optimized sieve of Eratosthenes implementation. It counts the
primes below 10^10 in just 0.45 seconds on an Intel Core i7-6700 CPU (4 x
3.4GHz). primesieve can generate primes and prime k-tuplets up to 2^64.

%package -n	%{develname}
Summary:	Development tools for primesieve
Group:		Development/C
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
The static libraries, header files and documentation for using primesieve.

%prep
%autosetup

%build
export LC_ALL=C
%cmake -DBUILD_TESTS=1
%cmake_build

%check
# All tests must pass
pushd build
make test
popd

%install
%cmake_install

#multiarch
%multiarch_includes %{buildroot}%{_includedir}/primesieve.h

%files -n %{name}
%doc ChangeLog COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/libprimesieve.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libprimesieve.so
%{_includedir}/primesieve.h
%{_includedir}/primesieve.hpp
%{_includedir}/primesieve/*.h
%{_includedir}/primesieve/*.hpp
%{_libdir}/cmake/%{name}/*.cmake
%{_libdir}/pkgconfig/%{name}.pc
%multiarch %{multiarch_includedir}/primesieve.h


%changelog
* Thu Aug 15 2024 daviddavid <daviddavid> 12.4-1.mga10
+ Revision: 2086630
- new version: 12.4

* Wed Apr 24 2024 daviddavid <daviddavid> 12.3-1.mga10
+ Revision: 2060777
- new version: 12.3

* Fri Mar 01 2024 daviddavid <daviddavid> 12.0-1.mga10
+ Revision: 2046110
- new version: 12.0

* Wed Sep 20 2023 daviddavid <daviddavid> 11.1-1.mga10
+ Revision: 1988319
- new version: 11.1

* Sat Oct 22 2022 ghibo <ghibo> 8.0-1.mga9
+ Revision: 1898346
- Update to release 8.0.
- Bump %%major from 9 to 10.

* Thu Mar 17 2022 umeabot <umeabot> 7.7-2.mga9
+ Revision: 1796858
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 7.7-1.mga9
+ Revision: 1771057
- version 7.7

* Tue Mar 02 2021 daviddavid <daviddavid> 7.6-1.mga9
+ Revision: 1695900
- new version: 7.6

* Wed Aug 19 2020 joequant <joequant> 7.5-3.mga8
+ Revision: 1615777
- fix build

* Thu Feb 20 2020 umeabot <umeabot> 7.5-2.mga8
+ Revision: 1547270
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 7.5-1.mga8
+ Revision: 1487782
- new version: 7.5
+ wally <wally>
- build with new cmake macros

* Sun Jun 30 2019 shlomif <shlomif> 7.4-1.mga8
+ Revision: 1416311
- New version 7.4

* Sun Sep 23 2018 umeabot <umeabot> 5.6.0-2.mga7
+ Revision: 1300374
- Mageia 7 Mass Rebuild

* Wed Feb 10 2016 shlomif <shlomif> 5.6.0-1.mga6
+ Revision: 953023
- Importing primesive based on the gmp src.rpm

